// --------------------------------------------------------
// Copyright (c)
//
// contributions by Ansgar
//                  ansgar.radermacher@cea.fr
// maintained by    CEA LIST
//                  info-list@cea.fr

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#ifndef ADDSERVERCOMPDEF_ADDSERVER_IMPL_H
#define ADDSERVERCOMPDEF_ADDSERVER_IMPL_H

/************************************************************
 AddServer_impl class header
 ************************************************************/

#include "addServerCompdef/Pkg_addServerCompdef.h"

#include "addServerCompdef/AddServer.h"
#include "simple_msgs/srv/add_service_def.hpp"

namespace ros2Library {
namespace rclcpp {
class NodeOptions;
}
}

namespace addServerCompdef {

/************************************************************/
/**
 * This is a skeleton class generated for component AddServer
 * Copy it into the source folder as an initial base (or copy parts
 * of it whenever you add modify the component).
 * 
 */
class AddServer_impl: public AddServer {
public:

  /**
   * 
   * @param options 
   */
  AddServer_impl(rclcpp::NodeOptions /*in*/options);

  /**
   * 
   * @param request 
   * @param response 
   * @return ret 
   */
  bool fAdder(
      const simple_msgs::srv::AddServiceDef::Request::SharedPtr /*in*/request,
      const simple_msgs::srv::AddServiceDef::Response::SharedPtr /*in*/response);

};
/************************************************************/
/* External declarations (package visibility)               */
/************************************************************/

/* Inline functions                                         */

} // of namespace addServerCompdef

/************************************************************
 End of AddServer_impl class header
 ************************************************************/

#endif
